#define         gitver %%nil

Name:           puddletag
Version:        2.4.0
Release:        %mkrel 1
Summary:        An audio tag editor
# investigate license with upstream, web site says GPLv3 whereas the files in
# the tarball say GPLv2. Icons from the Oxygen Project are GPLv3.
License:        GPLv2+ and GPLv3
Group:          Sound/Utilities
Url:            https://docs.puddletag.net/
Source0:        https://github.com/puddletag/puddletag/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         puddletag-2.4.0-relax-requirements.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  imagemagick

Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-svg
Requires:       python3-qt5-widgets

%description
puddletag is an audio tag editor for GNU/Linux similar to Windows program
Mp3tag (https://www.mp3tag.de/). Unlike most taggers for GNU/Linux, it uses a
spreadsheet-like layout so that all the tags you want to edit by hand are
visible and easily editable.

The usual tag editor features are supported like extracting tag information
from filenames, renaming files based on their tags by using patterns (that you
define, not crappy, uneditable ones).

Then there're functions, which can do things like replace text, trim, change
the case of tags, etc. Actions can automate repetitive tasks. You can import
your QuodLibet library, lookup tags using MusicBrainz, FreeDB or Amazon
(though it's only good for cover art) and more, but I've reached my comma
quota.

Supported formats: ID3v1, ID3v2 (mp3), MP4 (mp4, m4a, etc.), VorbisComments
(ogg, flac), Musepack (mpc), Monkey's Audio (.ape) and WavPack (wv).

%prep
%autosetup -p1 -n %{name}-%{version}

# remove shebang
sed -i 's,#!*/usr/bin/env python,,' puddlestuff/{puddleobjects.py,puddlesettings.py,puddletag.py}

rm -f README

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files puddlestuff

# install icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,64x64,96x96,128x128,256x256}/apps

install -m 0644 %{name}.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/

for i in 16x16 32x32 64x64 96x96 128x128; do
  convert -resize "$i" %{name}.png %{buildroot}%{_iconsdir}/hicolor/"$i"/apps/%{name}.png
done

%files -f %{pyproject_files}
%doc changelog copyright NEWS THANKS TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.*
%{_mandir}/man?/%{name}.*


%changelog
* Tue Jun 25 2024 daviddavid <daviddavid> 2.4.0-1.mga10
+ Revision: 2076765
- new version: 2.4.0

* Wed Mar 06 2024 daviddavid <daviddavid> 2.3.0-2.mga10
+ Revision: 2047755
- relax dependency

* Tue Mar 05 2024 kekepower <kekepower> 2.3.0-1.mga10
+ Revision: 2047641
- Update to version 2.3.0

* Thu Dec 28 2023 daviddavid <daviddavid> 2.2.0-7.mga10
+ Revision: 2023261
- rebuild for py3.12

* Wed Oct 25 2023 daviddavid <daviddavid> 2.2.0-6.mga10
+ Revision: 2001518
- add more PyQt5 dependencies

* Wed Oct 25 2023 papoteur <papoteur> 2.2.0-5.mga10
+ Revision: 2001232
- add requires on python-qt5-svg

* Wed Nov 16 2022 daviddavid <daviddavid> 2.2.0-4.mga9
+ Revision: 1908180
- really relax dependencies (we don't have python-chromaprint)

* Sun Oct 09 2022 papoteur <papoteur> 2.2.0-3.mga9
+ Revision: 1895653
- Relax requirement again
- Relax requirements

* Tue Jul 05 2022 kekepower <kekepower> 2.2.0-1.mga9
+ Revision: 1867725
- Update to version 2.2.0

* Fri Jun 24 2022 papoteur <papoteur> 2.1.1-4.mga9
+ Revision: 1865712
- Mass Rebuild for dependencies

* Thu Mar 31 2022 umeabot <umeabot> 2.1.1-3.mga9
+ Revision: 1837378
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 kekepower <kekepower> 2.1.1-2.mga9
+ Revision: 1786630
- Update to version 2.1.1

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 2.0.2-0.git20210523.2.mga9
+ Revision: 1785910
- rebuild for python-3.10

* Fri Jun 11 2021 kekepower <kekepower> 2.0.2-0.git20210523.1.mga9
+ Revision: 1730446
- Update to git release 2021-05-23
  o Fixes CVE-2021-23358

* Sat Mar 20 2021 daviddavid <daviddavid> 2.0.1-2.mga9
+ Revision: 1705306
- rebuild for python 3.9

* Sat Aug 29 2020 kekepower <kekepower> 2.0.1-1.mga8
+ Revision: 1619677
- Update to version 2.0.1

* Fri Nov 16 2018 kekepower <kekepower> 1.2.0-6.mga7
+ Revision: 1330211
- Actually apply said patch

* Fri Nov 16 2018 kekepower <kekepower> 1.2.0-5.mga7
+ Revision: 1330191
- Add patch to use mutagen type detection for .ogg files

* Thu Sep 20 2018 umeabot <umeabot> 1.2.0-4.mga7
+ Revision: 1288134
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 1.2.0-3.mga7
+ Revision: 1221107
- change dependency mutagen for python2dist(mutagen)
- use new python provides

* Mon Feb 19 2018 daviddavid <daviddavid> 1.2.0-2.mga7
+ Revision: 1203230
- fix some python2 requires

* Mon Dec 05 2016 daviddavid <daviddavid> 1.2.0-1.mga6
+ Revision: 1072651
- new version: 1.2.0

* Tue Feb 09 2016 umeabot <umeabot> 1.1.1-2.mga6
+ Revision: 951000
- Mageia 6 Mass Rebuild

* Tue Feb 02 2016 daviddavid <daviddavid> 1.1.1-1.mga6
+ Revision: 932957
- new version: 1.1.1
- use new python macros
- new upstream URL and Source URL
- add more icons

* Sat Nov 29 2014 daviddavid <daviddavid> 1.0.5-1.mga5
+ Revision: 799949
- new version: 1.0.5
- update Source0 Url
- add the changelog file in doc package

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-8.mga5
+ Revision: 740233
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-7.mga5
+ Revision: 727965
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 687832
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-4.mga4
+ Revision: 542903
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-3.mga4
+ Revision: 498043
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 10 2013 wally <wally> 1.0.1-2.mga4
+ Revision: 452592
- drop requires for python-imaging

* Wed Jul 10 2013 wally <wally> 1.0.1-1.mga4
+ Revision: 452587
- new version 1.0.1
- clean .spec a bit

* Sun Jan 13 2013 umeabot <umeabot> 0.10.3-3.mga3
+ Revision: 378302
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.10.3-2.mga3
+ Revision: 324480
- update RPM group

* Fri May 13 2011 ahmad <ahmad> 0.10.3-1.mga1
+ Revision: 97801
- imported package puddletag

